"{ Package: 'exept:regression' }"

"{ NameSpace: RegressionTests }"

TestCase subclass:#ParserTest
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'tests-Regression'
!

!ParserTest class methodsFor:'documentation'!

documentation
"
    documentation to be added.

    [author:]
        Claus Gittinger (cg@sinir)

    [instance variables:]

    [class variables:]

    [see also:]

"
!

history
    "Created: / 12.4.2003 / 20:26:08 / cg"
! !

!ParserTest methodsFor:'tests'!

test01_cdecl_ffiCall
    |s p|

    s := '<cdecl: char* ''ffiPrintString'' (char *)>'.
    p := Parser new.
    p source:s.
    p nextToken.
    p parsePrimitiveOrResourceSpecOrEmpty.

    "
     self run:#test1
     self new test1
    "
!

test02_api_ffiCall
    |s p|

    s := '<api: char* ''ffiPrintString'' (char *)>'.
    p := Parser new.
    p source:s.
    p nextToken.
    p parsePrimitiveOrResourceSpecOrEmpty.

    "
     self run:#test2
     self new test2
    "
!

test03_c_ffiCall
    |s p|

    s := '<C: char* >'.
    p := Parser new.
    p source:s.
    p nextToken.
    p parsePrimitiveOrResourceSpecOrEmpty.

    "
     self run:#test3
     self new test3
    "
!

test04_undefinedClasses
    |b1 b2|

    self should:[
        b1 := Parser evaluate:'[ NotYetLoadedClass ]'.
    ] raise:ParseError.

    self assert:(b1 == nil).

    self should:[
        b2 := Parser evaluate:'[ NonExistingNameSpace::NotYetLoadedClass ]'.
    ] raise:ParseError.

    self assert:(b2 == nil).

    "
     self run:#test4
     self new test4
    "
! !

!ParserTest class methodsFor:'documentation'!

version
    ^ '$Header$'
! !

